/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.organdonor.domain;

import java.time.Instant;

public class OrganDonorVO {
    private Integer organDonorPID;
    private String personIdentifier;
    private Integer version;
    private Instant modifiedDateTime;
    private Instant validFrom;
    private Instant validTo;
    private PermissionType permissionType;
    private Boolean heart;
    private Boolean kidneys;
    private Boolean lungs;
    private Boolean corneas;
    private Boolean liver;
    private Boolean smallIntestine;
    private Boolean pancreas;
    private Boolean skin;
    private Boolean relativeAcceptanceRequired;

    public Integer getOrganDonorPID() {
        return organDonorPID;
    }

    public void setOrganDonorPID(Integer organDonorPID) {
        this.organDonorPID = organDonorPID;
    }

    public String getPersonIdentifier() {
        return personIdentifier;
    }

    public void setPersonIdentifier(String personIdentifier) { this.personIdentifier = personIdentifier; }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Instant getModifiedDateTime() {
        return modifiedDateTime;
    }

    public void setModifiedDateTime(Instant modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    public Instant getValidFrom() {
        return validFrom;
    }

    public void setValidFrom(Instant validFrom) {
        this.validFrom = validFrom;
    }

    public Instant getValidTo() {
        return validTo;
    }

    public void setValidTo(Instant validTo) {
        this.validTo = validTo;
    }

    public PermissionType getPermissionType() {
        return permissionType;
    }

    public void setPermissionType(PermissionType permissionType) {
        this.permissionType = permissionType;
    }

    public Boolean getHeart() {
        return heart;
    }

    public void setHeart(Boolean heart) {
        this.heart = heart;
    }

    public Boolean getKidneys() {
        return kidneys;
    }

    public void setKidneys(Boolean kidneys) {
        this.kidneys = kidneys;
    }

    public Boolean getLungs() {
        return lungs;
    }

    public void setLungs(Boolean lungs) {
        this.lungs = lungs;
    }

    public Boolean getCorneas() {
        return corneas;
    }

    public void setCorneas(Boolean corneas) {
        this.corneas = corneas;
    }

    public Boolean getLiver() {
        return liver;
    }

    public void setLiver(Boolean liver) {
        this.liver = liver;
    }

    public Boolean getSmallIntestine() {
        return smallIntestine;
    }

    public void setSmallIntestine(Boolean smallIntestine) {
        this.smallIntestine = smallIntestine;
    }

    public Boolean getPancreas() {
        return pancreas;
    }

    public void setPancreas(Boolean pancreas) {
        this.pancreas = pancreas;
    }

    public Boolean getSkin() {
        return skin;
    }

    public void setSkin(Boolean skin) {
        this.skin = skin;
    }

    public Boolean getRelativeAcceptanceRequired() {
        return relativeAcceptanceRequired;
    }

    public void setRelativeAcceptanceRequired(Boolean relativeAcceptanceRequired) { this.relativeAcceptanceRequired = relativeAcceptanceRequired; }
}
