/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.organdonor.wildfly;

import dk.nsp.test.idp.builder.Builders;
import dk.nsp.test.idp.vault.RemoteCredentialVault;
import org.junit.Before;

import java.net.URI;

/**
 * IDWS integration tests
 */
public class OrganDonorRegistrationIDWSIT extends AbstractITCase {
    private static final String RESPONSE_AUDIENCE_URI = "https://fsk";

    @Before
    public void before() {
        actor = Builders.citizenIdentity().representing(Builders.citizen().identifiedBy("0501792275")).usedBy(Builders.serviceConsumer().named("Service Consumer Test").identifiedBy(new RemoteCredentialVault(URI.create("https://www.nspop.dk/download/attachments/190481050/NSP_Test_Service_Consumer_sds.p12"), "Test1234".toCharArray(), true))).verifiedBy(Builders.identityProvider().named("https://idp.test.nspop.dk").withAudience("https://bootstrap.sts.nspop.dk/").identifiedBy(new RemoteCredentialVault(URI.create("https://www.nspop.dk/download/attachments/190481050/NSP_Test_Identity_Provider_sds.p12"), "Test1234".toCharArray(), true))).using(Builders.securityTokenService().at(URI.create("http://test1.ekstern-test.nspop.dk:8080/sts/services/Bst2Idws"))).consumedBy(Builders.serviceProvider().withAudience(RESPONSE_AUDIENCE_URI)).build();
        useAdminForWriteOperations = false;
    }
}
