/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.organdonor.service.webservice.hl7cda;

public abstract class AbstractHL7Mapper {

    protected static final String ORGANDONORREGISTRATION = "OrganDonorRegistration";
    protected static final String ORGANDONOR = "OrganDonor";

    public static final String TS_FORMAT = "yyyyMMddHHmmssZ"; // Output sample: 20171019144200+0200

    public static final String CPR = "CPR";
    public static final String MOOD_CODE_EVENT = "EVN";
    public static final String REALM_CODE_DK = "DK";
    public static final String CONFIDENTIALITY_CODE = "N";
    public static final String LANGUAGE_CODE_DK = "da-DK";
    public static final String MEDCOM = "MedCom";
    public static final String RECORD_TARGET_CTX_CTRL_CODE = "OP";
    public static final String RECORD_TARGET_TYPE_CODE = "RCT";
    public static final String PATIENT_CLASS_CODE = "PAT";
    public static final String CLASS_CODE_DOCCLIN = "DOCCLIN";
    public static final String OBSERVATION_CLASSCODE = "OBS";
}
