/*
 * The MIT License
 *
 * Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 * Copyright (C) 2017 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
 *
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sundhedsdatastyrelsen.organdonor.service.webservice;

import dk.nsp.minlog.api.RegisterServiceProvider;
import dk.sundhedsdatastyrelsen.organdonor.service.AbstractSpringTest;
import dk.sundhedsdatastyrelsen.organdonor.service.DKSServlet;
import dk.sundhedsdatastyrelsen.organdonor.util.Properties;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.junit.MockitoJUnitRunner;
import org.springframework.mock.web.MockHttpServletRequest;
import org.springframework.mock.web.MockHttpServletResponse;
import org.springframework.transaction.annotation.Transactional;

import java.io.IOException;

import static org.junit.Assert.assertEquals;

@RunWith(MockitoJUnitRunner.class)
@Transactional
public class DKSServletWebServiceTests extends AbstractSpringTest {

    @Mock
    private Properties properties;

    @Mock
    private RegisterServiceProvider registerServiceProvider;

    @InjectMocks
    private DKSServlet serviceUnderTest;

    @Before
    public void before() {
        Mockito.when(properties.getDccEndpoint()).thenReturn("http://test1.fsk.netic.dk:8080/odr/odr");
    }

    @Test
    public void dksConfig_code200() throws IOException {
        // given
        MockHttpServletRequest request = new MockHttpServletRequest("GET", "/dksconfig");
        request.setPathInfo("/dksconfig");
        MockHttpServletResponse response = new MockHttpServletResponse();

        serviceUnderTest.doGet(request, response);
        assertEquals(200, response.getStatus());
    }
}
